﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;
namespace ConfigLib
{
    public class SongsSection:ConfigurationSection
    {
        private readonly ConfigurationProperty collectionproperty = new ConfigurationProperty(null, typeof(Songcollection), null, ConfigurationPropertyOptions.IsDefaultCollection);
        [ConfigurationProperty("",IsDefaultCollection=true)]
        public  Songcollection SongCollection 
        {
            get
            {
                return (Songcollection)this[collectionproperty];
           
            }
        }
        [ConfigurationProperty("ChannelId", IsKey = false, DefaultValue = "-1")]
        public int ChannelId
        {
            get
            {
                return (int)this["ChannelId"];
            }
        }
    

        [ConfigurationProperty("special_special_song", IsKey = false)]
        public SpecialSongElement SpecialSong
        {
            get
            {
                return (SpecialSongElement)this["special_special_song"];
            }
        }


        [ConfigurationProperty("specialsongs", IsKey = false, IsDefaultCollection = false)]
        public SpecialSongCollection SpecialSongs
        {
            get
            {
                return (SpecialSongCollection)this["specialsongs"];
            }
        }

        
    }
}
